#/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/tor/tor-tsocks.conf.new

if [ -z `id -g tor 2> /dev/null` ]; then 
    groupadd tor
fi
if [ -z `id -u tor  2> /dev/null` ]; then
    useradd -g tor -s /bin/false -c "Tor Anonymizing" -d /etc/tor tor
fi

chown -R tor.tor /var/lib/tor
chown -R tor.tor /var/run/tor
touch /var/log/tor/tor.log
